Returns the specified location with extended metadata. This includes both the merchant-provided data and the consumer-facing view, which may differ. It also includes a mapping of field paths to metadata describing the current state of edits on that field, its origin source, and rejection details.
HTTP request
GET https://mybusinessbusinessinformation.googleapis.com/v1alpha/{name=locations/*}:getExtended
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the location to fetch. |
Request body
The request body must be empty.
Response body
Represents a location along with its edit metadata and current serving state.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "locationProvidedByMerchant": { object ( |
| Fields | |
|---|---|
locationProvidedByMerchant |
Output only. The underlying location data managed by the merchant. |
locationSeenByConsumers |
Output only. The location data currently visible to consumers on Google Maps and Search. |
extendedFieldData |
Output only. Extended field data, keyed by the name of a top-level field of the Keys are always plain top-level field names, never nested field paths. Each top-level field is treated atomically, so if you change a subfield, this map will treat it as a change to the top-level field. An object containing a list of |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/business.manage
For more information, see the OAuth 2.0 Overview.